summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ml/iTeML/iTeML-2.0.1.ebuild')
-rw-r--r--dev-ml/iTeML/iTeML-2.0.1.ebuild28
1 files changed, 28 insertions, 0 deletions
diff --git a/dev-ml/iTeML/iTeML-2.0.1.ebuild b/dev-ml/iTeML/iTeML-2.0.1.ebuild
new file mode 100644
index 00000000000..e3eb2e97c12
--- /dev/null
+++ b/dev-ml/iTeML/iTeML-2.0.1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit oasis
+
+DESCRIPTION="Inline (Unit) Tests for OCaml"
+HOMEPAGE="https://github.com/vincent-hugot/iTeML"
+SRC_URI="https://github.com/vincent-hugot/iTeML/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="dev-ml/ounit:="
+DEPEND="${RDEPEND}
+ dev-ml/oasis"
+
+DOCS=( "${WORKDIR}/${P}/README.md" )
+
+S="${WORKDIR}/${P}/qtest"
+
+src_prepare() {
+ oasis setup || die
+}